Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyClassDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc

All Implemented Interfaces:
  GroovyClassDoc

    class SimpleGroovyClassDoc
    extends SimpleGroovyProgramElementDoc

Constructor Summary
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)`
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name)`

Method Summary
`boolean` | `add(GroovyConstructorDoc constructor)`
`boolean` | `add(GroovyFieldDoc field)`
`boolean` | `add(GroovyMethodDoc method)`
`boolean` | `addEnumConstant(GroovyFieldDoc field)`
`void` | `addInterfaceName(String className)`
`boolean` | `addNested(GroovyClassDoc nestedClass)`
`boolean` | `addProperty(GroovyFieldDoc property)`
`GroovyConstructorDoc[]` | `constructors()` returns a sorted array of constructors
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`boolean` | `definesSerializableFields()`
`GroovyFieldDoc[]` | `enumConstants()` returns a sorted array of enum constants
`GroovyFieldDoc[]` | `fields()` returns a sorted array of fields
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `getDocUrl(String type)`
`String` | `getDocUrl(String type, boolean full)`
`String` | `getFullPathName()`
`GroovyClassDoc` | `getOuter()`
`List` | `getParentClasses()`
`Set` | `getParentInterfaces()`
`String` | `getRelativeRootPath()`
`String` | `getSuperClassName()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()` returns a sorted array of nested classes and interfaces
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyType[]` | `interfaceTypes()`
`GroovyClassDoc[]` | `interfaces()`
`boolean` | `isAbstract()`
`boolean` | `isExternalizable()`
`boolean` | `isPrimitive()`
`boolean` | `isSerializable()`
`GroovyMethodDoc[]` | `methods()` returns a sorted array of methods
`GroovyMethodDoc[]` | `methods(boolean filter)`
`GroovyFieldDoc[]` | `properties()` returns a sorted array of properties
`String` | `qualifiedTypeName()`
`String` | `replaceAllTags(String self, String s1, String s2, Pattern regex)`
`String` | `replaceTags(String comment)`
`void` | `resolve(GroovyRootDoc rootDoc)`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`void` | `setFullPathName(String fullPathName)`
`void` | `setOuter(GroovyClassDoc outer)`
`void` | `setRawCommentText(String rawCommentText)`
`void` | `setSuperClass(GroovyClassDoc doc)`
`void` | `setSuperClassName(String className)`
`String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`String` | `typeName()`

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name)

Method Detail

### add

    public boolean add(GroovyConstructorDoc constructor)

### add

    public boolean add(GroovyFieldDoc field)

### add

    public boolean add(GroovyMethodDoc method)

### addEnumConstant

    public boolean addEnumConstant(GroovyFieldDoc field)

### addInterfaceName

    public void addInterfaceName(String className)

### addNested

    public boolean addNested(GroovyClassDoc nestedClass)

### addProperty

    public boolean addProperty(GroovyFieldDoc property)

### constructors

    public GroovyConstructorDoc[] constructors()

  returns a sorted array of constructors

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

### definesSerializableFields

    public boolean definesSerializableFields()

### enumConstants

    public GroovyFieldDoc[] enumConstants()

  returns a sorted array of enum constants

### fields

    public GroovyFieldDoc[] fields()

  returns a sorted array of fields

### fields

    public GroovyFieldDoc[] fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(String className)

### getDocUrl

    public String getDocUrl(String type)

### getDocUrl

    public String getDocUrl(String type, boolean full)

### getFullPathName

    public String getFullPathName()

### getOuter

    public GroovyClassDoc getOuter()

### getParentClasses

    public List getParentClasses()

### getParentInterfaces

    public Set getParentInterfaces()

### getRelativeRootPath

    public String getRelativeRootPath()

### getSuperClassName

    public String getSuperClassName()

### importedClasses

    public GroovyClassDoc[] importedClasses()

### importedPackages

    public GroovyPackageDoc[] importedPackages()

### innerClasses

    public GroovyClassDoc[] innerClasses()

  returns a sorted array of nested classes and interfaces

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

### interfaceTypes

    public GroovyType[] interfaceTypes()

### interfaces

    public GroovyClassDoc[] interfaces()

### isAbstract

    public boolean isAbstract()

### isExternalizable

    public boolean isExternalizable()

### isPrimitive

    public boolean isPrimitive()

### isSerializable

    public boolean isSerializable()

### methods

    public GroovyMethodDoc[] methods()

  returns a sorted array of methods

### methods

    public GroovyMethodDoc[] methods(boolean filter)

### properties

    public GroovyFieldDoc[] properties()

  returns a sorted array of properties

### qualifiedTypeName

    public String qualifiedTypeName()

### replaceAllTags

    public String replaceAllTags(String self, String s1, String s2, Pattern regex)

### replaceTags

    public String replaceTags(String comment)

### resolve

    public void resolve(GroovyRootDoc rootDoc)

### serializableFields

    public GroovyFieldDoc[] serializableFields()

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

### setFullPathName

    public void setFullPathName(String fullPathName)

### setOuter

    public void setOuter(GroovyClassDoc outer)

### setRawCommentText

    public void setRawCommentText(String rawCommentText)

### setSuperClass

    public void setSuperClass(GroovyClassDoc doc)

### setSuperClassName

    public void setSuperClassName(String className)

### simpleTypeName

    public String simpleTypeName()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

### typeName

    public String typeName()

Copyright © 2003-2009 The Codehaus. All rights reserved.